Bug 827098 - Update celt to 0.11.1 for el6 branch
Update celt to 0.11.1 for el6 branch
Status: CLOSED WONTFIX
Product: Fedora EPEL
Classification: Fedora
Component: celt (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 11:29 EDT by Dmitry Butskoy
Modified: 2014-07-30 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-30 19:34:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry Butskoy 2012-05-31 11:29:10 EDT
Could you please update the "celt" package in the EL6 branch to the release of at least 0.11.1 (as in F16) ?

I consider now some work with RPMFusion for better EL6 support, and the current ffmpeg package seems to require celt-0.11.1 (it failed to compile with the current EL6's celt-0.8.0).

If needed, I can (co-)maintain it in EL6 branch.
Comment 1 Peter Robinson 2012-08-10 03:40:15 EDT
What else uses celt in the EL6 branch? What other impact could it have? We left it at 0.8 for a reason (of which I've forgotten off hand) and I believe there is a soname bump between the two so we need to be able access the impact on other packages. I've not had time to do that. If you do and can update this bug with the details I'll review it as I get the time.
Comment 2 Dmitry Butskoy 2012-08-13 07:49:54 EDT
Well, according to

  repoquery --disablerepo='*' --enablerepo=epel --tree-whatrequires celt

and

  repoquery --whatrequires libcelt.so.1

it seems that nothing requires celt in EPEL at all...

> We left it at 0.8 for a reason (of which I've forgotten off hand)

Could you please recollect this?

Anyway, celt-0.11.1 is built fine under RHEL6.2 environment.
Comment 3 Peter Robinson 2014-07-30 19:34:55 EDT
celt is long dead and packages should use opus which contains the celt best bits and much more and that's packaged in EPEL6

Note You need to log in before you can comment on or make changes to this bug.